<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>pyxmpp.jabberd.all</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="pyxmpp-module.html">Package&nbsp;pyxmpp</a> ::
        <a href="pyxmpp.jabberd-module.html">Package&nbsp;jabberd</a> ::
        Module&nbsp;all
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<h1 class="epydoc">Source Code for <a href="pyxmpp.jabberd.all-module.html">Module pyxmpp.jabberd.all</a></h1>
<pre class="py-src">
<a name="L1"></a><tt class="py-lineno"> 1</tt>  <tt class="py-line"><tt class="py-comment">#</tt> </tt>
<a name="L2"></a><tt class="py-lineno"> 2</tt>  <tt class="py-line"><tt class="py-comment"># (C) Copyright 2003-2010 Jacek Konieczny &lt;jajcus@jajcus.net&gt;</tt> </tt>
<a name="L3"></a><tt class="py-lineno"> 3</tt>  <tt class="py-line"><tt class="py-comment">#</tt> </tt>
<a name="L4"></a><tt class="py-lineno"> 4</tt>  <tt class="py-line"><tt class="py-comment"># This program is free software; you can redistribute it and/or modify</tt> </tt>
<a name="L5"></a><tt class="py-lineno"> 5</tt>  <tt class="py-line"><tt class="py-comment"># it under the terms of the GNU Lesser General Public License Version</tt> </tt>
<a name="L6"></a><tt class="py-lineno"> 6</tt>  <tt class="py-line"><tt class="py-comment"># 2.1 as published by the Free Software Foundation.</tt> </tt>
<a name="L7"></a><tt class="py-lineno"> 7</tt>  <tt class="py-line"><tt class="py-comment">#</tt> </tt>
<a name="L8"></a><tt class="py-lineno"> 8</tt>  <tt class="py-line"><tt class="py-comment"># This program is distributed in the hope that it will be useful,</tt> </tt>
<a name="L9"></a><tt class="py-lineno"> 9</tt>  <tt class="py-line"><tt class="py-comment"># but WITHOUT ANY WARRANTY; without even the implied warranty of</tt> </tt>
<a name="L10"></a><tt class="py-lineno">10</tt>  <tt class="py-line"><tt class="py-comment"># MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the</tt> </tt>
<a name="L11"></a><tt class="py-lineno">11</tt>  <tt class="py-line"><tt class="py-comment"># GNU Lesser General Public License for more details.</tt> </tt>
<a name="L12"></a><tt class="py-lineno">12</tt>  <tt class="py-line"><tt class="py-comment">#</tt> </tt>
<a name="L13"></a><tt class="py-lineno">13</tt>  <tt class="py-line"><tt class="py-comment"># You should have received a copy of the GNU Lesser General Public</tt> </tt>
<a name="L14"></a><tt class="py-lineno">14</tt>  <tt class="py-line"><tt class="py-comment"># License along with this program; if not, write to the Free Software</tt> </tt>
<a name="L15"></a><tt class="py-lineno">15</tt>  <tt class="py-line"><tt class="py-comment"># Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.</tt> </tt>
<a name="L16"></a><tt class="py-lineno">16</tt>  <tt class="py-line"><tt class="py-comment">#</tt> </tt>
<a name="L17"></a><tt class="py-lineno">17</tt>  <tt class="py-line"><tt class="py-comment"># pylint: disable-msg=W0611</tt> </tt>
<a name="L18"></a><tt class="py-lineno">18</tt>  <tt class="py-line"> </tt>
<a name="L19"></a><tt class="py-lineno">19</tt>  <tt class="py-line"><tt class="py-docstring">"""Convenience module containing most important objects fr pyxmpp.jabberd package.</tt> </tt>
<a name="L20"></a><tt class="py-lineno">20</tt>  <tt class="py-line"><tt class="py-docstring"></tt> </tt>
<a name="L21"></a><tt class="py-lineno">21</tt>  <tt class="py-line"><tt class="py-docstring">Suggested usage::</tt> </tt>
<a name="L22"></a><tt class="py-lineno">22</tt>  <tt class="py-line"><tt class="py-docstring">import pyxmpp.jabberd.all</tt> </tt>
<a name="L23"></a><tt class="py-lineno">23</tt>  <tt class="py-line"><tt class="py-docstring"></tt> </tt>
<a name="L24"></a><tt class="py-lineno">24</tt>  <tt class="py-line"><tt class="py-docstring">(imports all important names into pyxmpp.jabberd namespace)"""</tt> </tt>
<a name="L25"></a><tt class="py-lineno">25</tt>  <tt class="py-line"> </tt>
<a name="L26"></a><tt class="py-lineno">26</tt>  <tt class="py-line"><tt class="py-name">__docformat__</tt><tt class="py-op">=</tt><tt class="py-string">"restructuredtext en"</tt> </tt>
<a name="L27"></a><tt class="py-lineno">27</tt>  <tt class="py-line"> </tt>
<a name="L28"></a><tt class="py-lineno">28</tt>  <tt class="py-line"><tt class="py-keyword">import</tt> <tt id="link-0" class="py-name" targets="Package pyxmpp=pyxmpp-module.html"><a title="pyxmpp" class="py-name" href="#" onclick="return doclink('link-0', 'pyxmpp', 'link-0');">pyxmpp</a></tt><tt class="py-op">.</tt><tt id="link-1" class="py-name" targets="Package pyxmpp.jabberd=pyxmpp.jabberd-module.html"><a title="pyxmpp.jabberd" class="py-name" href="#" onclick="return doclink('link-1', 'jabberd', 'link-1');">jabberd</a></tt> </tt>
<a name="L29"></a><tt class="py-lineno">29</tt>  <tt class="py-line"> </tt>
<a name="L30"></a><tt class="py-lineno">30</tt>  <tt class="py-line"><tt class="py-keyword">from</tt> <tt id="link-2" class="py-name"><a title="pyxmpp" class="py-name" href="#" onclick="return doclink('link-2', 'pyxmpp', 'link-0');">pyxmpp</a></tt><tt class="py-op">.</tt><tt id="link-3" class="py-name"><a title="pyxmpp.jabberd" class="py-name" href="#" onclick="return doclink('link-3', 'jabberd', 'link-1');">jabberd</a></tt><tt class="py-op">.</tt><tt id="link-4" class="py-name" targets="Module pyxmpp.jabberd.componentstream=pyxmpp.jabberd.componentstream-module.html"><a title="pyxmpp.jabberd.componentstream" class="py-name" href="#" onclick="return doclink('link-4', 'componentstream', 'link-4');">componentstream</a></tt> <tt class="py-keyword">import</tt> <tt id="link-5" class="py-name" targets="Class pyxmpp.jabberd.componentstream.ComponentStream=pyxmpp.jabberd.componentstream.ComponentStream-class.html"><a title="pyxmpp.jabberd.componentstream.ComponentStream" class="py-name" href="#" onclick="return doclink('link-5', 'ComponentStream', 'link-5');">ComponentStream</a></tt> </tt>
<a name="L31"></a><tt class="py-lineno">31</tt>  <tt class="py-line"><tt class="py-keyword">from</tt> <tt id="link-6" class="py-name"><a title="pyxmpp" class="py-name" href="#" onclick="return doclink('link-6', 'pyxmpp', 'link-0');">pyxmpp</a></tt><tt class="py-op">.</tt><tt id="link-7" class="py-name"><a title="pyxmpp.jabberd" class="py-name" href="#" onclick="return doclink('link-7', 'jabberd', 'link-1');">jabberd</a></tt><tt class="py-op">.</tt><tt id="link-8" class="py-name" targets="Module pyxmpp.jabberd.component=pyxmpp.jabberd.component-module.html"><a title="pyxmpp.jabberd.component" class="py-name" href="#" onclick="return doclink('link-8', 'component', 'link-8');">component</a></tt> <tt class="py-keyword">import</tt> <tt id="link-9" class="py-name" targets="Class pyxmpp.jabberd.component.Component=pyxmpp.jabberd.component.Component-class.html"><a title="pyxmpp.jabberd.component.Component" class="py-name" href="#" onclick="return doclink('link-9', 'Component', 'link-9');">Component</a></tt> </tt>
<a name="L32"></a><tt class="py-lineno">32</tt>  <tt class="py-line"> </tt>
<a name="L33"></a><tt class="py-lineno">33</tt>  <tt class="py-line"><tt class="py-keyword">for</tt> <tt id="link-10" class="py-name" targets="Variable pyxmpp.all.name=pyxmpp.all-module.html#name,Variable pyxmpp.interfaces.name=pyxmpp.interfaces-module.html#name,Variable pyxmpp.jabber.all.name=pyxmpp.jabber.all-module.html#name,Variable pyxmpp.jabber.disco.DiscoIdentity.name=pyxmpp.jabber.disco.DiscoIdentity-class.html#name,Variable pyxmpp.jabber.disco.DiscoItem.name=pyxmpp.jabber.disco.DiscoItem-class.html#name,Variable pyxmpp.jabberd.all.name=pyxmpp.jabberd.all-module.html#name"><a title="pyxmpp.all.name
pyxmpp.interfaces.name
pyxmpp.jabber.all.name
pyxmpp.jabber.disco.DiscoIdentity.name
pyxmpp.jabber.disco.DiscoItem.name
pyxmpp.jabberd.all.name" class="py-name" href="#" onclick="return doclink('link-10', 'name', 'link-10');">name</a></tt> <tt class="py-keyword">in</tt> <tt class="py-name">dir</tt><tt class="py-op">(</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
<a name="L34"></a><tt class="py-lineno">34</tt>  <tt class="py-line">    <tt class="py-keyword">if</tt> <tt class="py-keyword">not</tt> <tt id="link-11" class="py-name"><a title="pyxmpp.all.name
pyxmpp.interfaces.name
pyxmpp.jabber.all.name
pyxmpp.jabber.disco.DiscoIdentity.name
pyxmpp.jabber.disco.DiscoItem.name
pyxmpp.jabberd.all.name" class="py-name" href="#" onclick="return doclink('link-11', 'name', 'link-10');">name</a></tt><tt class="py-op">.</tt><tt class="py-name">startswith</tt><tt class="py-op">(</tt><tt class="py-string">"__"</tt><tt class="py-op">)</tt> <tt class="py-keyword">and</tt> <tt id="link-12" class="py-name"><a title="pyxmpp.all.name
pyxmpp.interfaces.name
pyxmpp.jabber.all.name
pyxmpp.jabber.disco.DiscoIdentity.name
pyxmpp.jabber.disco.DiscoItem.name
pyxmpp.jabberd.all.name" class="py-name" href="#" onclick="return doclink('link-12', 'name', 'link-10');">name</a></tt><tt class="py-op">!=</tt><tt class="py-string">"pyxmpp"</tt><tt class="py-op">:</tt> </tt>
<a name="L35"></a><tt class="py-lineno">35</tt>  <tt class="py-line">        <tt class="py-name">setattr</tt><tt class="py-op">(</tt><tt id="link-13" class="py-name"><a title="pyxmpp" class="py-name" href="#" onclick="return doclink('link-13', 'pyxmpp', 'link-0');">pyxmpp</a></tt><tt class="py-op">.</tt><tt id="link-14" class="py-name"><a title="pyxmpp.jabberd" class="py-name" href="#" onclick="return doclink('link-14', 'jabberd', 'link-1');">jabberd</a></tt><tt class="py-op">,</tt><tt id="link-15" class="py-name"><a title="pyxmpp.all.name
pyxmpp.interfaces.name
pyxmpp.jabber.all.name
pyxmpp.jabber.disco.DiscoIdentity.name
pyxmpp.jabber.disco.DiscoItem.name
pyxmpp.jabberd.all.name" class="py-name" href="#" onclick="return doclink('link-15', 'name', 'link-10');">name</a></tt><tt class="py-op">,</tt><tt class="py-name">globals</tt><tt class="py-op">(</tt><tt class="py-op">)</tt><tt class="py-op">[</tt><tt id="link-16" class="py-name"><a title="pyxmpp.all.name
pyxmpp.interfaces.name
pyxmpp.jabber.all.name
pyxmpp.jabber.disco.DiscoIdentity.name
pyxmpp.jabber.disco.DiscoItem.name
pyxmpp.jabberd.all.name" class="py-name" href="#" onclick="return doclink('link-16', 'name', 'link-10');">name</a></tt><tt class="py-op">]</tt><tt class="py-op">)</tt> </tt>
<a name="L36"></a><tt class="py-lineno">36</tt>  <tt class="py-line"> </tt>
<a name="L37"></a><tt class="py-lineno">37</tt>  <tt class="py-line"><tt class="py-comment"># vi: sts=4 et sw=4</tt> </tt>
<a name="L38"></a><tt class="py-lineno">38</tt>  <tt class="py-line"> </tt><script type="text/javascript">
<!--
expandto(location.href);
// -->
</script>
</pre>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0.1 on Sun May  8 13:35:07 2011
    </td>
    <td align="right" class="footer">
      <a target="mainFrame" href="http://epydoc.sourceforge.net"
        >http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
